function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
  show_help_wnd=true;
	init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ "РАССАНОВКА ФЕРЗЕЙ"
--  1-й параметр - Код игры. Для этой игры код - 24
--  2-й параметр - Строгость проверки. true - строгая, false - не проверяем большие диагонали.
--  3-й параметр - Размерность поля как квадратной матрицы.
--  4-й параметр - Количество фигур в наборе.
--  5-й параметр - Набор фигур в виде строки.
--                 P.S. Пример: "QqqQRR" - одинаковые буквы - одинаковый тип фигур.
--  6-й параметр - Игровое поле (доска) в виде строки.
--                 P.S. Упрощённый ".fen" (запись шхматной позиции).
--                      Пример: Q3QQ2/8/8/8/8/8/8/7!Q
--                              Пояснение: В отличие от стандартного fen'а отсутствуют
--                                         многие параметры, но добавлен "!".
--                                         "!" - недоступное поле. Само по себе
--                                         не занимает поля. То есть если на этом
--                                         поле стоИт фигура, то после "!" нужно
--                                         её указать, если оно пустое, то после
--                                         "!" нужно поставить число пустых полей
--                                         с учётом "!".
--  7-й параметр - true или false. Заменить ли инициализирующую позицию. Не реализовано.
--  8-й параметр - Стартовый идентификатор первой фигуры.
--                 P.S. Должно быть соответствие с 5-м параметром.
--  9-й параметр - X-координата верхнего левого угла доски.
-- 10-й параметр - Y-координата верхнего левого угла доски.
-- 11-й параметр - Ширина поля.
-- 12-й параметр - Высота поля.
	create_mini(24,true,8,8,"QQQQQQQQ","8/1Q3Q2/3Q4/8/2Q1Q3/8/1Q3Q2/7Q",false,1003,201,72,70,70);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;		
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("albert_house",17,0);
		DarkScreen(false);
		ShowMenu(true);
		if flags.minicomplete then
		    StopEmiter("Chess");
			Set_Cursor(40,3);
			speciale_action(2,24,true);
			speciale_action(2,25,true);
			speciale_action(2,39,true);
			speciale_action(2,40,true);
			speciale_action(2,160,2);
			setcolor(160,0,0,0,1,1);
			savegame(SaveLevel())
			--addparticlesistem("sharp_star","./particles/particle3.psi",160,true);
		return;end;
	return; end;
	
	if sender==36 then
	   if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("albert_house");
	   return;end;	 
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete=true;
		StartTimer(2100,2)	
		playeffect("miniC");
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"1",100,"messageinfo")
		return;end;			
		if id==5000 and skipping and objectid==0 then
			if not flags.minicomplete then
				playeffect("skip");
				finish_mini_game(true);
			return;end;	
		return;end;
		if id==1000 and objectid==0 then
			playeffect("close");
			clear_satelite_leaf("albert_house");
			finish_mini_game(false);
			DeleteResource("m1_btn");
			DeleteResource("m1_num");
			DeleteResource("m1_counter");
			DeleteResource("m1_queen");
			DeleteResource("m1_bg");					
		return;end;
		
		if id>=1003 and id<=1010 then --нажимаем на часть телеграммы
			add_to_mouse(id);
			mousepresed=true;
			objectid=id;
		return 0; end			
	return;end;
	
	if sender == 6 --Отпустили левую кнопку мышки
	then		
		if flags.minicomplete then
		   clear_satelite_leaf("albert_house");
		return;end;
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_Queens(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;	
	
end;
function mini_delete ()

end;